var CaseSummary = function()
{
	var cs = {};

	cs.initElement = function(element, autoInit)
	{
		if (autoInit == 'reggie-case-summary-link')
		{
			Events.addEventHandler(element, 'click', cs.showCaseSummary);
		}
	}
	
	cs.showCaseSummary = function(event)
	{
		var homeUrl = Data.get(event.currentTarget, 'home');
		var name = Data.get(event.currentTarget, 'name');
		var caseName = name.substring(0, 7);
		var url = homeUrl+'/reports/case_summary.jsp?ID='+App.getSessionId();
		url += '&caseName='+encodeURIComponent(caseName);
		url += '&highlight='+encodeURIComponent(name);
		location.href = url;
	}
	
	return cs;
}();

Doc.addElementInitializer(CaseSummary.initElement);